# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: General purpose buffer program
Name: buffer
Version: 1.19
Release: alt2_19
License: GPL+
Group: Archiving/Backup
Source: %name-%version.tar.bz2
Patch0: buffer_1.19-7.patch.bz2
Source44: import.info
Url: http://hello-penguin.com/software/buffer

%description
This is a program designed to speed up writing tapes on remote tape
drives. After startup it splits itself into two processes.  The first
process reads (and reblocks) from stdin into a shared memory buffer.
The second writes from the shared memory buffer to stdout.  Doing it this way
means that the writing side effectively sits in a tight write loop and
doesn't have to wait for input.  Similarly for the input side.  It is
this waiting that slows down other reblocking processes, like dd.

%prep
%setup -q
%patch0 -p1


%build
make CFLAGS="%{optflags} -Wall"

%install
install -m 755 -D buffer %{buildroot}%{_bindir}/buffer
install -m 644 -D buffer.man %{buildroot}%{_mandir}/man1/buffer.1

%files
%doc COPYING README
%{_bindir}/buffer
%{_mandir}/man1/buffer.1*


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.19-alt2_19
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.19-alt2_18
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.19-alt2_17
- update by mgaimport

* Wed Mar 21 2018 Igor Vlasenko <viy@altlinux.ru> 1.19-alt2_16
- added Url

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.19-alt1_16
- new version

